package org.jeecg.modules.hotelorder.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.hotelorder.entity.HotelOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.hotelorderlog.entity.HotelOrderLog;

/**
 * @Description: hotel_order
 * @Author: jeecg-boot
 * @Date:   2024-09-11
 * @Version: V1.0
 */
public interface HotelOrderMapper extends BaseMapper<HotelOrder> {


    HotelOrder getOrderOne(@Param("id") String id,@Param("userId") String userId);

    HotelOrder getOrderOne2(@Param("id") String id,@Param("userId") String userId);

    HotelOrder getOrderOne3(@Param("id") String id,@Param("userId") String userId);

    List<HotelOrder> getOrderPage(@Param("id") String id);

    IPage<HotelOrder> getOrderLogPage(Page<HotelOrder> page, @Param("userId") String userId, @Param("type") Integer type, @Param("uid") String uid);

    IPage<HotelOrder> getShopWashOrderPage(Page<HotelOrder> page, @Param("userId") String userId);

    HotelOrder getOrderByUserIdById(@Param("userId") String userId,@Param("id") String id);


}
